## org.red5.compatibility.flex.messaging.messages
Class AuthenticationMessage

    java.lang.Object
      org.red5.compatibility.flex.messaging.messages.AbstractMessage
          org.red5.compatibility.flex.messaging.messages.AsyncMessage
              org.red5.compatibility.flex.messaging.messages.CommandMessage
                  org.red5.compatibility.flex.messaging.messages.AuthenticationMessage

All Implemented Interfaces:
  Serializable, Message

    public class AuthenticationMessage

extends CommandMessage

Added to support flex.messaging.messages.AuthenticationMessage as noted in http://jira.red5.org/browse/APPSERVER-176

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.red5.compatibility.flex.messaging.messages.CommandMessage
`messageRefType, operation, OPERATION_FLAG`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`CORRELATION_ID_BYTES_FLAG, CORRELATION_ID_FLAG, correlationId, correlationIdBytes`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`body, clientId, clientIdBytes, destination, headers, messageId, messageIdBytes, timestamp, timeToLive`

Fields inherited from interface org.red5.compatibility.flex.messaging.messages.Message
`DESTINATION_CLIENT_ID_HEADER, ENDPOINT_HEADER, FLEX_CLIENT_ID_HEADER, MESSAGING_VERSION, NEEDS_CONFIG_HEADER, POLL_WAIT_HEADER, PRESERVE_DURABLE_HEADER, REMOTE_CREDENTIALS_HEADER, REMOVE_SUBSCRIPTIONS, SELECTOR_HEADER, SUBSCRIPTION_INVALIDATED_HEADER, SUBTOPIC_SEPARATOR, SYNC_HEADER`

Constructor Summary
`AuthenticationMessage()`

Method Summary

Methods inherited from class org.red5.compatibility.flex.messaging.messages.CommandMessage
`addParameters, getOperation, readExternal, setOperation`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`getCorrelationId, setCorrelationId, writeExternal`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`getBody, getClientId, getDestination, getHeader, getHeaders, getMessageId, getTimestamp, getTimeToLive, headerExists, readFlags, setBody, setClientId, setDestination, setHeader, setHeaders, setMessageId, setTimestamp, setTimeToLive, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationMessage

    public AuthenticationMessage()

Copyright © 2006-2010 The Red5 Project